// CMP3Info.h : Declaration of the CCMP3Info

#ifndef __CMP3INFO_H_
#define __CMP3INFO_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CCMP3Info
class ATL_NO_VTABLE CCMP3Info : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CCMP3Info, &CLSID_CMP3Info>,
	public IDispatchImpl<ICMP3Info, &IID_ICMP3Info, &LIBID_ID3COM>
{
public:
	CCMP3Info()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CMP3INFO)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CCMP3Info)
	COM_INTERFACE_ENTRY(ICMP3Info)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// ICMP3Info
public:
};

#endif //__CMP3INFO_H_
